#
# spec file for package ghc-git-lfs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name git-lfs
Name:           ghc-%{pkg_name}
Version:        1.2.2
Release:        bp156.1.1
Summary:        Git-lfs protocol
License:        AGPL-3.0-or-later
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}

%description
An implementation of the git-lfs protocol.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG

%changelog
* Thu Feb  1 2024 Peter Simons <psimons@suse.com>
- Update git-lfs to version 1.2.2.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/git-lfs-1.2.2/src/CHANGELOG
* Wed Nov 10 2021 Peter Simons <psimons@suse.com>
- Update git-lfs to version 1.2.0.
  haskell-git-lfs (1.2.0) unstable; urgency=medium
  * Avoid blindly copying over Content-Encoding and Transfer-Encoding
    headers provided by the git-lfs server. This fixes interoperation
    with gitlab's implementation of the git-lfs protocol, which sends
    Transfer-Encoding chunked.
  * uploadOperationRequests changed to provide a ServerSupportsChunks
    value when constructing the RequestBody. This allows using
    Transfer-Encoding chunked when the server supports it.
    (API change)
  - - Joey Hess <id@joeyh.name>  Wed, 10 Nov 2021 13:52:11 -0400
* Tue Oct 19 2021 psimons@suse.com
- Update git-lfs to version 1.1.2.
  haskell-git-lfs (1.1.2) unstable; urgency=medium
  * Expand aeson bounds to allow 2.x
    (This may fix a DOS attack, although any impact on git-lfs has not been
    determined.)
  * Expand containers bounds to allow 0.5.x
  - - Joey Hess <id@joeyh.name>  Mon, 18 Oct 2021 16:20:25 -0400
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Thu Nov 19 2020 psimons@suse.com
- Update git-lfs to version 1.1.1.
  haskell-git-lfs (1.1.1) unstable; urgency=medium
  * Expand aeson bounds to allow 1.5.x
  * Expand http-client bounds to allow 0.7.x
  * Improve other bounds that were too relaxed.
  - - Joey Hess <id@joeyh.name>  Thu, 19 Nov 2020 12:11:00 -0400
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jul 21 2020 psimons@suse.com
- Add git-lfs at version 1.1.0.
